local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.FarmingMounts(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Farming Mounts")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mounts:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Ah yes Mounts, simply one way of making gold but when it comes to Open World Farming for Mounts there are quite a few which are rather good for regular gold and a steady return every day. However, some mounts are either really easy to farm or either depend of a RNG based factor.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("To start with, let's explore the world of 100% drop chance mounts and work our way down. There are two notable mounts with 100% of dropping in the open world which can be sold on the auction house, these are the Reins of Poseidus and the Garn Nighthowl.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Poseidus:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("With the  Reins of Poseidus you will be wanting to make your way over towards Vash'ir and make sure you have done the introduction quest for underwater breathing if you have not already. There are five spawn locations for this Rare called Poseidus and as such we will be wanting to camp these locations. There are four within the Shimmering Expanse and one in the Abyssal Depths.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
local MultiLineEditBox = AceGUI:Create("MultiLineEditBox")
MultiLineEditBox:SetLabel("Poseidus Spawn Points")
MultiLineEditBox:SetText("Shimmering Expanse 66.6 41.4 Poseidus / Shimmering Expanse 58.4 82.2 Poseidus / Shimmering Expanse 46.6 50.0 Poseidus / Shimmering Expanse 40.0 67.8 Poseidus / Abyssal Depths 41.4 76.3 Poseidus")
MultiLineEditBox:SetWidth(350)
MultiLineEditBox:SetNumLines(5)
scroll:AddChild(MultiLineEditBox)    
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("These locations is only but the first step towards obtaining this mount. You will be wanting to camp this area for the Poseidus rare and as such it is wise to camp this in a smart manor as the respawn for this is around four hours. After frequent testing on multiple servers the best times to log for the rare is 5 am, 9am, 1pm, 9pm. These are proving to be the best times to log each day to have a chance of catching the rare. The route does take some time to do but this can also be increased if you are able to use a Druid and the Swim speed buff for the questline stacks with the druid swim speed making it a lot faster to get around than any other class so this is an ideal way of farming this. The current time of a lap is around 4 to 5 minutes and as such you will be able to spend 20 minutes on average to do the laps for the times above for you to obtain this mount.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)    
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Garn Nighthowl:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The next mount to farm for which is 100% is the Garn Nighthowl mount. This can be obtained in Frostfire Ridge from the Rare Nok'Karosh at the coordinates of 13.6 51.0. At this area you will be able to camp this rare. However, this is best noted to farm for on a casual basis as the gold for this mount depends on server to server and as such would be wise to do this in the manor of a quick log when you have time.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Notable information of this farm is that the respawn timer for this mount is around 16 to 20 minutes upon slaying said rare. As already stated this will provide you with the mount. You are able to start generating steady gold through this mount as the sell rate is quite high for this mount though the price has a lot to be desired. Though doing this on a quick log every time you have free time you will see this incrementally increase the amount of gold you are pulling in on a day to day basis.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

 local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle For Azeroth Mounts:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now we move into the mounts that are a bit more harder to obtain but can sell for considerably high gold for each one. These are the Battle for Azeroth mount, these mount can be found in specific zones of BFA from any of the mobs located in that zone.  The Locations for these mount are detailed below.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Goldenmane's Reins:  Stormsong Valley")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Chewed-On Reins of the Terrified Pack Mule: Drustvar")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Captured Dune Scavenger: Vol'Dun")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Reins of the Tamed Bloodfeaster: Nazmir")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("There are a total of four mounts which can be farmed in specific zone in Battle for Azeroth and as such farming these zone if RNG favours you will reward you with these mounts. In regards to farming these mount it is wise to note that you will be spending a lot of time invested to obtain one of these mount in there specific zones and some farms from that expansion to farm these were nerfed so it is wise to check last updated zone for these as they do tend to change quite a bit for these. However, if you are lucky enough to obtain one of these mounts then that is you token for the month in just one drop but, it will take sometime invested to obtain one of these.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

 local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Great Sea Ray:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As for the last mount in Battle for Azeroth, this is an easier one to farm for but is no by an easy drop for this mount. You are able to farm for the Great Sea Ray with the Profession of Fishing in BFA and as such this will require you to fish for this mount to drop. However, there is one catch towards obtaining this mount and that is, you have to fish for the mount on the Coast of either Zandalar or Kul'Tiras to obtain this.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("This is something that can be muddled up sometimes so it is best to note this before doing said farm. This mount has a low drop chance and much like all of the other BFA mounts this will take sometime to farm up. However, the plus for this mount is that you are able to park you character in one spot and this means because it is Fishing you will not have to move to obtain this mount and only click a bobber as and when it goes off making it a more of a casual fishing farm for this mount.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("As a whole farming mounts to sell is a good way of making gold either on a casual gold making basis or even one a luck of the draw farming session. This is noted as good way to combine crafted mounts and farmable mount as to increase the variety of mounts you are selling on the auction house brining you in more gold in the long run.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
  
  
  
  
  

end